from .base import LogTailerHandler
from ..mixins import RedwoodAccessMixin, RedwoodErrorsMixin, RedwoodTLSMixin


# ----------------------------------------------------------------------
class RedwoodAccessHandler(RedwoodAccessMixin, LogTailerHandler):
    """
    Tail Redwood Access log
    """
    pass


# ----------------------------------------------------------------------
class RedwoodErrorsHandler(RedwoodErrorsMixin, LogTailerHandler):
    """
    Tail Redwood Errors log
    """
    pass


# ----------------------------------------------------------------------
class RedwoodTLSHandler(RedwoodTLSMixin, LogTailerHandler):
    """
    Tail Redwood TLS Log
    """
    pass


__all__ = (
    'RedwoodAccessHandler',
    'RedwoodErrorsHandler',
    'RedwoodTLSHandler',
)
